/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 2001 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#ifndef EmMenusMac_h
#define EmMenusMac_h

#include "EmFileRef.h"			// EmFileRefList
#include "EmMenus.h"			// EmMenuItemList

class LMenu;

LMenu*				HostCreatePopupMenu (const EmMenuItemList&);
void				HostCreateMenubar (const EmMenuItemList&);
const EmMenuItem*	HostFindMenuItemByMenuChoice (const EmMenuItemList&, long,
											  Bool recurse);

#endif	// EmMenusMac_h
