/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 2000-2001 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#ifndef EmPixMapMac_h
#define EmPixMapMac_h

#include "EmPixMap.h"			// EmPixMap

void		ConvertPixMapToHost		(const EmPixMap& src, GWorldPtr& dest,
									 int firstLine, int lastLine, Bool scale);

void		CreatePixMapFromHost	(GWorldPtr src, EmPixMap& dest);
void		CreatePixMapFromHost	(const PixMap& src, EmPixMap& dest);

RGBColor	ConvertRGBTypeToHost	(const RGBType&);
RGBType		ConvertRGBTypeFromHost	(const RGBColor&);

void		ConvertFromRGBList		(CTabHandle outColors, const RGBList& inColors);
void		ConvertToRGBList		(RGBList& outColors, CTabHandle inColors);

#endif	// EmPixMapMac_h
