/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 1999-2001 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#ifndef EmTransportSerialMac_h
#define EmTransportSerialMac_h

#include "EmTransportSerial.h"

class EmHostTransportSerial
{
	public:
								EmHostTransportSerial (void);
								~EmHostTransportSerial (void);

		ErrCode					GetPortDriverNames (const LStr255&, LStr255&, LStr255&);
		ErrCode					OpenDrivers	(const LStr255&, const LStr255&);

		short					GetBaud		(EmTransportSerial::Baud);
		short					GetParity	(EmTransportSerial::Parity);
		short					GetStopBits	(EmTransportSerial::StopBits);
		short					GetDataBits	(EmTransportSerial::DataBits);

	public:
		short					fInPortRefNum;
		short					fOutPortRefNum;

		char					fInBuffer[4096];
		char					fOutBuffer[4096];
};

#endif /* EmTransportSerialMac_h */
