/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 1998-2001 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#include "PP_Messages.h"

// ---------------------------------------------------------------------------
//		 Windows / window items
// ---------------------------------------------------------------------------

#define wnd_About						1001
#define about_panelMain					101
#define about_panelWindows				102
#define about_panelMac					103
#define about_panelUAE					104
#define item_aboutTabsController		'TABS'
#define item_aboutPlaceholder			'PHST'
#define item_aboutTitle					'titl'
#define item_aboutFirstURL				1010	// Keep in sync!
#define item_aboutPalmHttpURL			1010
#define item_aboutPalmMailURL			1011
#define item_aboutGregHttpURL			1020
#define item_aboutGregMailURL			1021
#define item_aboutCraigHttpURL			1030
#define item_aboutCraigMailURL			1031
#define item_aboutBerndHttpURL			1040
#define item_aboutBerndMailURL			1041
#define item_aboutLastURL				1041	// Keep in sync!

// ---------------------------------------------------------------------------
//		 Strings / substrings
// ---------------------------------------------------------------------------

#define str_Misc						10000
#define ind_miscEmulatorPreferences		1


// ---------------------------------------------------------------------------
//		 Cursors
// ---------------------------------------------------------------------------

#define cur_Finger						128


// ---------------------------------------------------------------------------
//		 PICTs
// ---------------------------------------------------------------------------

#define pict_DefaultSmall				10000
#define pict_DefaultLarge				10001
