/* -*- mode: C++; tab-width: 4 -*- */
/* ===================================================================== *\
	Copyright (c) 2001 Palm, Inc. or its subsidiaries.
	All rights reserved.

	This file is part of the Palm OS Emulator.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
\* ===================================================================== */

#ifndef AlphaSmartScanCodes_h
#define AlphaSmartScanCodes_h



#define	SC_POWER				0x0F

#define	SC_F1					0x4C
#define	SC_F2					0x4D
#define	SC_F3					0x0D
#define	SC_F4					0x1D
#define	SC_F5					0x1E
#define	SC_F6					0x17
#define	SC_F7					0x05
#define	SC_F8					0x45
#define	SC_F9					0x4E
#define	SC_F10					0x5E
#define	SC_F11					0x60
#define	SC_F12					0x53
#define	SC_F13					0x33
#define	SC_F14					0x62
#define	SC_F15					0x41
#define	SC_F16					0x40

#define	SC_ENTER				0x6E
#define	SC_BACKSPACE			0x0E
#define	SC_UP_ARROW				0x70
#define	SC_DOWN_ARROW			0x12
#define	SC_RIGHT_ARROW			0x71
#define	SC_LEFT_ARROW			0x72

//#define	SC_DATE					(SC_F9)
//#define	SC_ADDRESS				(SC_F10)
//#define	SC_TO_DO				(SC_F11)
//#define	SC_MEMO					(SC_F12)
//#define	SC_FIND					(SC_F13)
//#define	SC_MENU					(SC_F14)
//#define	SC_APPS					(SC_F15)
#define	SC_SEND					(SC_F16)

#define SC_CAPS_LOCK			0x0C
#define SC_LEFT_SHIFT			0x09
#define SC_RIGHT_SHIFT			0x69
#define SC_CONTROL				0x7B
#define SC_LEFT_OPTION			0x46
#define SC_RIGHT_OPTION			0x66
#define SC_COMMAND				0x13
#define SC_PC_DELETE			(SC_RIGHT_OPTION)


#define SC_TAB					0x0B
#define SC_T					0x0A
#define SC_Y					0x08
#define SC_RIGHT_BRACKET		0x07
#define SC_LEFT_BRACKET			0x04
#define SC_G					0x1A
#define SC_H					0x18
#define SC_DOUBLE_QUOTE			0x14
#define SC_INTL_RETURN			0x2E
#define SC_FORWARD_SLASH		0x2E
#define SC_D					0x2D
#define SC_S					0x2C
#define SC_A					0x2B
#define SC_F					0x2A
#define SC_INTL_ARROWS			0x29
#define SC_J					0x28
#define SC_K					0x27
#define SC_L					0x25
#define SC_SEMICOLON			0x24
#define SC_E					0x3D
#define SC_W					0x3C
#define SC_Q					0x3B
#define SC_R					0x3A
#define SC_U					0x38
#define SC_I					0x37
#define SC_O					0x35
#define SC_P					0x34
#define SC_HOME					0x33
#define SC_TILDE				0x4B
#define SC_5					0x4A
#define SC_6					0x48
#define SC_PLUS					0x47
#define SC_DASH					0x44
#define SC_3					0x5D
#define SC_2					0x5C
#define SC_1					0x5B
#define SC_4					0x5A
#define SC_7					0x58
#define SC_8					0x57
#define SC_9					0x55
#define SC_ZERO					0x54
#define SC_INTL_ASTERICK		0x6E
#define SC_C					0x6D
#define SC_X					0x6C
#define SC_Z					0x6B
#define SC_V					0x6A
#define SC_M					0x68
#define SC_COMMA				0x67
#define SC_PERIOD				0x65
#define SC_SPACE				0x7E
#define SC_B					0x7A
#define SC_N					0x78
#define SC_BACK_SLASH			0x74
#define SC_ESC					0x73
#define SC_INVALID				0xFF


#endif


























